function dx = BatchPBR8step(~,x)

% Functie ce calculeaza derivata singurei variabile de stare x
% Am eliminat x(2), iar x(1) a devenit x, fara transpunere finala
global mumax Ki Kii mus;
global kz
global KGz
global Q0;

Gz=zeros(1,kz);
mu=zeros(1,kz);

for i=1:kz
%Gz(i) = q0*exp(-(1+alpha)/2/alpha*Ea*x(1)*z(i));
% Irradiance (light inside the culture) (umol/m2/s)
  Gz(i) = Q0*(KGz(i))^x;
  mu(i) = mumax*Gz(i)/(Ki+Gz(i)+(Gz(i)^2)/Kii);
end

%mu = (mumax*Gz.*(((Ki+Gz+(Gz.^2)/Kii).^(-1)))); 
% local photosynthetic responses (1/h) - Inhibition Model
MuPhoto = mean(mu);                             % average photosynthetic response (1/h)
rxp = MuPhoto*x;                             % volumetric GROWTH rate (g/L/h)
rxd = mus*x;                                 % volumetric DECLINE rate (g/L/h)
rx = rxp - rxd;                                 % volumetric rate (g/L/h)

dx = rx;                     % Biomass concentration (g/L)
end