%
%
load('WSP30_single','MSolution_single', 'NAp', 'MJ');

str=sprintf('Medium performance index: %6.3f \n',mean(MJ));
disp(str);
DJ=MJ-mean(MJ);
i0=1;
for i=2:30
    if(abs(DJ(i))<abs(DJ(i0)))
        i0=i;
    end
end
[MIN,imin]=min(MJ);
str=sprintf('Optimal solution: imin=%2d, JMIN = %6.3f, Ncalls=%4d\n',imin,MIN,NAp(imin));
disp(str);
disp(MSolution_single(imin,:));

str=sprintf('JAVG = %6.3f\n',mean(MJ));
disp(str);
str=sprintf('JMAX = %6.3f\n',max(MJ));
disp(str);
str=sprintf('STDEV = %6.3f\n',std(MJ));
disp(str);
str=sprintf('Typical solution: i0=%2d',i0);disp(str);

str=sprintf('Jtyp = %7.3f  Ncalls=%7.3f\n',MJ(i0), NAp(i0));
disp(str);
Ustar=MSolution_single(imin,:);
save('Optimum','Ustar');