% Article proposed to mdpi-INVENTIONS
% Calcul parametri statistici pt bucla fara senzor
% global u_vector
% global t_vector
% global command_index

load('WSP30_without CR','xxMuRHC', 'xxNAp_C');

INIT_CONST;
m0=3;
x00=0.36;

t_fin=120;
xxLUM=zeros(1,30);
xxmprod=zeros(1,30);
xxJ=zeros(1,30);
xxNAp=fix(xxNAp_C/120);
xxMstare=zeros(30,121);
t_vector=0:1:t_fin;
IndF=length(t_vector);
%Reintegrare finala cu uRHC pt cele 30 executii
for ijk=1:30
   u_vector=xxMuRHC(ijk,:);
   
   stare=CalcStari(u_vector,x00);
   xxMstare(ijk,:)=stare(:);
   xxLUM(ijk)=K3*sum(u_vector);
   xxmprod(ijk)=V*(stare(IndF)-x00); %ATENTIE x00
   xxJ(ijk)= 10*(xxmprod(ijk)-m0)+xxLUM(ijk); 
   str=sprintf(' ijk=%2d  J= %7.3f  Light= %7.3f  dm=%7.3f  Ncalls=%4d\n',...
    ijk, xxJ(ijk), xxLUM(ijk),xxmprod(ijk), xxNAp(ijk));
   disp(str);
end
% disp('pauza');
% pause;

JMAT=xxJ; %Statistica dupa indicele de performanta
str=sprintf('Medium performance index: %6.3f \n',mean(JMAT));
disp(str);
DJ=JMAT-mean(JMAT);
i0=1;
for i=2:30
    if(abs(DJ(i))<abs(DJ(i0)))
        i0=i;
    end
end

str=sprintf('JMIN = %6.3f\n',min(JMAT));
disp(str);
str=sprintf('JAVG = %6.3f\n',mean(JMAT));
disp(str);
str=sprintf('JMAX = %6.3f\n',max(JMAT));
disp(str);
str=sprintf('STDEV = %6.3f\n',std(JMAT));
disp(str);
str=sprintf('Typical solution: i0=%2d',i0);disp(str);

str=sprintf('Jtyp = %7.3f  Light= %7.3f  dm=%7.4f  Ncalls=%4d\n',...
    JMAT(i0), xxLUM(i0),xxmprod(i0), xxNAp(i0));
disp(str);
uRHC=xxMuRHC(i0,:);
stare=xxMstare(i0,:);
save('WSPwithoutCR_i0','i0','xxMuRHC','xxMstare','xxJ','xxmprod','xxLUM','xxNAp','uRHC','stare','x00','m0');
str=sprintf('NcallsAVG = %6.3f\n',mean(xxNAp));
disp(str);
