%
%
load('WSP30_CRandT','Mat_uRHC', 'MatJ','AvgNCalls');

str=sprintf('Medium performance index: %6.3f \n',mean(MatJ));
disp(str);
DJ=MatJ-mean(MatJ);
i0=1;
for i=2:30
    if(abs(DJ(i))<abs(DJ(i0)))
        i0=i;
    end
end
for i=1:30
   str=sprintf('\n%2d   %6.4f     %4d',i,MatJ(i), AvgNCalls(i)); 
   disp(str);
end
MatJ'
AvgNCalls'
NcallsMIN=min(AvgNCalls);
NcallsAVG=fix(mean(AvgNCalls));
NcallsMAX=max(AvgNCalls);
str=sprintf('\nNcallsMIN=%4d   NcallsAVG = %4d, NcallsMAX=%4d\n',...
    NcallsMIN,NcallsAVG, NcallsMAX);
disp(str);
[MIN,imin]=min(MatJ);
str=sprintf('\nOptimal solution: imin=%2d\nJMIN = %6.3f, Ncalls=%4d\n',...
    imin,MIN,AvgNCalls(imin));
disp(str);
% disp(Mat_uRHC(imin,:));

str=sprintf('JAVG = %6.3f\n',mean(MatJ));
disp(str);
str=sprintf('JMAX = %6.3f\n',max(MatJ));
disp(str);
str=sprintf('STDEV = %6.3f\n',std(MatJ));
disp(str);
str=sprintf('Typical solution: i0=%2d',i0);disp(str);

str=sprintf('Jtyp = %7.3f  Ncalls=%4d\n',MatJ(i0), AvgNCalls(i0));
disp(str);
% Ustar=MSolution_single(imin,:);
% save('Optimum','Ustar');
