% Article proposed to mdpi-INVENTIONS
% This program executes 30 times "INV_PSO_RHCwithCRandT.m"
% in order to calculate some statistical parameters.
% The results are saved in 'WSP30_CRandT.mat'
disp('This program executes 30 times INV_PSO_RHCwithCRandT.m');
disp('The results are saved into WSP30_CRandT.mat');


global uRHC;


Mat_uRHC=zeros(30,120);
 % Average number of calls for 30 runs
AvgNCalls=zeros(1, 30); 
MatJ=zeros(1, 30);
tic
ijk=1;

while (ijk<=30)    
    str=sprintf('                                    ijk=%2d',ijk);disp(str);
    INV_PSO_RHCwithCRandT;
    Mat_uRHC(ijk,:)=uRHC(:);
    MatJ(ijk)=J;
    AvgNCalls(ijk)=fix(Napel_C/120);    
    ijk=ijk+1;
end 


toc
save('WSP30_CRandT','Mat_uRHC', 'MatJ','AvgNCalls');
